## UDisksFstabEntry

UDisksFstabEntry

## Functions

const gchar * | udisks_fstab_entry_get_fsname ()
const gchar * | udisks_fstab_entry_get_dir ()
const gchar * | udisks_fstab_entry_get_fstype ()
const gchar * | udisks_fstab_entry_get_opts ()
gint | udisks_fstab_entry_get_freq ()
gint | udisks_fstab_entry_get_passno ()
gint | udisks_fstab_entry_compare ()
gboolean | udisks_fstab_entry_has_opt ()

## Types and Values

| UDisksFstabEntry

## Object Hierarchy

        GObject
        ╰── UDisksFstabEntry

## Description

## Functions

### udisks_fstab_entry_get_fsname ()

    const gchar *
    udisks_fstab_entry_get_fsname (UDisksFstabEntry *entry);

Gets the fsname field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The fsname field.

### udisks_fstab_entry_get_dir ()

    const gchar *
    udisks_fstab_entry_get_dir (UDisksFstabEntry *entry);

Gets the dir field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The dir field.

### udisks_fstab_entry_get_fstype ()

    const gchar *
    udisks_fstab_entry_get_fstype (UDisksFstabEntry *entry);

Gets the type field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The type field.

### udisks_fstab_entry_get_opts ()

    const gchar *
    udisks_fstab_entry_get_opts (UDisksFstabEntry *entry);

Gets the opts field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The opts field.

### udisks_fstab_entry_get_freq ()

    gint
    udisks_fstab_entry_get_freq (UDisksFstabEntry *entry);

Gets the freq field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The freq field.

### udisks_fstab_entry_get_passno ()

    gint
    udisks_fstab_entry_get_passno (UDisksFstabEntry *entry);

Gets the passno field of `entry` .

#### Parameters

entry | A UDisksFstabEntry. |

#### Returns

The passno field.

### udisks_fstab_entry_compare ()

    gint
    udisks_fstab_entry_compare (UDisksFstabEntry *entry,
                                UDisksFstabEntry *other_entry);

Comparison function for comparing two UDisksFstabEntry objects.

#### Parameters

entry | A UDisksFstabEntry |
other_entry | Another UDisksFstabEntry. |

#### Returns

Negative value if `entry` < `other_entry` ; zero if `entry` = `other_entry` ; positive value if `entry` > `other_entry` .

### udisks_fstab_entry_has_opt ()

    gboolean
    udisks_fstab_entry_has_opt (UDisksFstabEntry *entry,
                                const gchar *opt);

Checks presence of the mount option for the `entry` . Please see libmount `mnt_match_options()` for the `opt` string specific requirements.

#### Parameters

entry | A UDisksFstabEntry. |
opt | Mount option to look for. |

#### Returns

Whether the `entry` contains the specified option.

## Types and Values

### UDisksFstabEntry

    typedef struct _UDisksFstabEntry UDisksFstabEntry;

The UDisksFstabEntry structure contains only private data and should only be accessed using the provided API.